Public Attributes | List of all members
_ll_pwm_coding_mode_init_t Struct Reference
Peripheral Driver » LL Driver » PWM » Structures » PWM Exported init structures

LL PWM coding mode Structure definition. More...

`#include <gr533x_ll_pwm.h>`

## Public Attributes
uint32_t | ll_period
uint32_t | ll_waiting_time
uint8_t | ll_data_width_valid
uint8_t | ll_coding_channel_select
ll_pwm_coding_channel_init_t | ll_channel_a
ll_pwm_coding_channel_init_t | ll_channel_b
ll_pwm_coding_channel_init_t | ll_channel_c

## Detailed Description

LL PWM coding mode Structure definition.

Definition at line 168 of file gr533x_ll_pwm.h.

## Member Data Documentation

## ◆ ll_channel_a

ll_pwm_coding_channel_init_t _ll_pwm_coding_mode_init_t::ll_channel_a

Specifies the configuration of channelA in coding mode. This parameter can be a value of ll_pwm_coding_channel_init_t.

Definition at line 183 of file gr533x_ll_pwm.h.

## ◆ ll_channel_b

ll_pwm_coding_channel_init_t _ll_pwm_coding_mode_init_t::ll_channel_b

Specifies the configuration of channelB in coding mode. This parameter can be a value of ll_pwm_coding_channel_init_t.

Definition at line 186 of file gr533x_ll_pwm.h.

## ◆ ll_channel_c

ll_pwm_coding_channel_init_t _ll_pwm_coding_mode_init_t::ll_channel_c

Specifies the configuration of channelC in coding mode. This parameter can be a value of ll_pwm_coding_channel_init_t.

Definition at line 189 of file gr533x_ll_pwm.h.

## ◆ ll_coding_channel_select

uint8_t _ll_pwm_coding_mode_init_t::ll_coding_channel_select

Specifies the coding channel select all 3 channels or only channel A. This parameter can be a value of PWM coding channel select in coding mode

Definition at line 180 of file gr533x_ll_pwm.h.

## ◆ ll_data_width_valid

uint8_t _ll_pwm_coding_mode_init_t::ll_data_width_valid

Specifies the coding data valid width in Coding mode. This parameter control coding data valid width = DATA_WIDTH_VALID + 1, DATA_WIDTH_VALID value ranges between Min_Data = 0x0 and Max_Data = 0x1F.

Definition at line 176 of file gr533x_ll_pwm.h.

## ◆ ll_period

uint32_t _ll_pwm_coding_mode_init_t::ll_period

Specifies the period value which will be used configure PWM output frequency in coding mode. This parameter must be a number ranges between Min_Data = 0 and Max_Data = SysCoreCLK.

Definition at line 170 of file gr533x_ll_pwm.h.

## ◆ ll_waiting_time

uint32_t _ll_pwm_coding_mode_init_t::ll_waiting_time

Specifies the waiting time before PWM waveform generation in coding mode. This parameter control PWM waiting time count in the coding mode.

Definition at line 173 of file gr533x_ll_pwm.h.

The documentation for this struct was generated from the following file:

- gr533x_ll_pwm.h